p
u
b
l
i
c
i
t
é
publicité
+ Répondre à la discussion Actualité déjà publiée
  1. #1
    Expert Confirmé Sénior


    Inscrit en
    octobre 2003
    Messages
    7 868
    Détails du profil
    Informations forums :
    Inscription : octobre 2003
    Messages : 7 868
    Points : 33 236
    Points
    33 236

    Par défaut GWT 1.5 est disponible !

    Bonjour,

    La release 1.5 de GWT est désormais disponible en téléchargement : http://code.google.com/webtoolkit/download.html

    Au rayon des nouveautés :
    utilisation des annotations et autres bénéfices de Java 5
    amélioration des performances du compilateur
    optimisations de certains widgets
    support de JSON
    un nouveau sample Showcase
    intégration de 3 styles de mise en forme par défaut
    de nouvelles classes Java pour une meilleure manipulation de DOM

    http://googlewebtoolkit.blogspot.com...available.html

  2. #2
    Invité régulier
    Inscrit en
    décembre 2007
    Messages
    8
    Détails du profil
    Informations forums :
    Inscription : décembre 2007
    Messages : 8
    Points : 6
    Points
    6

    Par défaut

    c koi la defirence entre gwt 1.5 et smartgwt et gwt-ext

  3. #3
    Rédacteur
    Avatar de benwit
    Inscrit en
    septembre 2004
    Messages
    1 676
    Détails du profil
    Informations forums :
    Inscription : septembre 2004
    Messages : 1 676
    Points : 3 551
    Points
    3 551

    Par défaut

    gwt 1.5, c'est le toolkit de google, les deux autres lib que tu cites sont des wrappers gwt de libairies javascript existantes.

    gwt 1.5 peut s'utiliser seul !
    la librairie javascript ext.js peut s'utiliser seule !
    la librairie javascript smart.js peut s'utiliser seule !

    gwt-ext est un wrapper de ext.js écrit en gwt (il faut l'utiliser avec gwt et avec la librairie javascript ext.js)
    smartext est un wrapper de smart.js écrit en gwt (il faut l'utiliser avec gwt et avec la librairie javascript smart.js)

    Les wrappers sont utiles pour ceux qui utilisaient auparavant la librairie javascript wrappée ou pour ceux qui veulent l'utiliser en codant du java.

    Noter cependant qu'ils ne respectent pas l'esprit "gwt" !
    Préférer leur des modules écrits par dessus gwt ou avec du code javascript natif/browsers) qui ne requirent aucunes librairies javascripts additionnelles pour fonctionner.

    Tout le monde savait que c'était impossible. Il est venu un imbécile qui ne le savait pas et qui l'a fait. Marcel PAGNOL
    On ne savait pas que c'était impossible, alors on l'a fait. John Fitzgerald KENNEDY.
    L'inexpérience est ce qui permet à la jeunesse d'accomplir ce que la vieillesse sait impossible. Paul (Tristant) BERNARD
    La meilleure façon de prédire l'avenir, c'est de l'inventer.

Discussions similaires

  1. GWT-EXT 2.0 est disponible
    Par benwit dans le forum GWT
    Réponses: 11
    Dernier message: 22/11/2010, 20h30
  2. Réponses: 16
    Dernier message: 31/07/2009, 12h12
  3. Réponses: 0
    Dernier message: 22/05/2009, 19h59
  4. EXT-GWT 2.0M2 est disponible !
    Par benwit dans le forum GWT
    Réponses: 0
    Dernier message: 21/05/2009, 23h04
  5. Réponses: 1
    Dernier message: 15/04/2009, 14h25

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo